mode(-1);
lines(0);
// specific part
libname='fsqplib'

// [5] generate Path.incl 

F=mopen('Path.incl','w');
mfprintf(F,'SCIDIR='+SCI+'\n');
mfprintf(F,'SCIDIR1='+strsubst(SCI,'/','\\')+'\n');
mclose(F);

// generic part  
// get the absolute path 

DIR=get_absolute_file_path('builder.sce');
genlib(libname,DIR+'/macros/')

// prepare macro directory in case one wants to run make 
dir=getcwd();
  chdir('macros') 
  exec builder.sce 
chdir(dir);

// [2] src directory 

if c_link('fsqplib') 
  write(%io(2),'please do not rebuild a shared library while it is linked')
  write(%io(2),'in scilab. use ulink to unlink first');
else 
  write(%io(2),'building shared library')
  dir=getcwd();
  chdir(DIR+'/C-src') 
  exec('builder.sce');
  chdir(dir);
end 

// [3] examples directory 

dir=getcwd();
write(%io(2),'building examples')
chdir('examples') 
exec('builder.sce');
chdir(dir);

// [4] man 

chdir('man')
exec('builder.sce') 
chdir(dir);


clear fd err nams DIR libname MACROS genlib SRC OLD cmd_make tab


