.TH fsqp G "June 1997" "Scilab Group" "Scilab Function"
.so ../sci.an
.SH NAME
x_is_new - utility function for FSQP solver
.SH  CALLING SEQUENCE
.nf
i=x_is_new()
set_x_is_new(i)
.fi
.SH PARAMETERS
.TP
i 
: integer 0-1 valued number.
.SH DESCRIPTION
i=x_is_new() returns 1 (resp. 0) if the C variable x_is_new is set to 
TRUE (resp. FALSE). 
.LP
set_x_is_new(i) assigns the value i to x_is_new.
.fi
.SH EXAMPLE
.nf
x_is_new()
set_x_is_new(0)
x_is_new()
set_x_is_new(1)  //This is the default. 
.fi
.SH SEE ALSO
fsqp


